com.independentsoft.msg

## Class ExtendedPropertyId

- java.lang.Object
- - com.independentsoft.msg.ExtendedPropertyTag
  - - com.independentsoft.msg.ExtendedPropertyId

-     public class ExtendedPropertyId
      extends ExtendedPropertyTag

  The Class ExtendedPropertyId.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedPropertyId()` Instantiates a new extended property id.
    `ExtendedPropertyId(int id, byte[] guid)` Instantiates a new extended property id.
    `ExtendedPropertyId(int id, byte[] guid, PropertyType type)` Instantiates a new extended property id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Gets the id.
    `void` | `setId(int id)` Sets the id.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.independentsoft.msg.ExtendedPropertyTag

      `getGuid, getType, setGuid, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedPropertyId

          public ExtendedPropertyId()

      Instantiates a new extended property id.

    - #### ExtendedPropertyId

          public ExtendedPropertyId(int id,
                                    byte[] guid)

      Instantiates a new extended property id.
      Parameters:
        `id` - the id
        `guid` - the guid

    - #### ExtendedPropertyId

          public ExtendedPropertyId(int id,
                                    byte[] guid,
                                    PropertyType type)

      Instantiates a new extended property id.
      Parameters:
        `id` - the id
        `guid` - the guid
        `type` - the type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public int getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(int id)

      Sets the id.
      Parameters:
        `id` - the new id